<?php
//Arabic Translation by www.joomlatna.org
if (!defined('_REM_INTERNAL')) DEFINE('_REM_INTERNAL','خطأ في برنامج التحميل');
if (!defined('_SUBMIT_FILE_NOLOG')) DEFINE('_SUBMIT_FILE_NOLOG', 'لا يمكنك ارسال الملف- الرجاء الدخول');
if (!defined('_SUBMIT_FILE_NOUSER')) DEFINE('_SUBMIT_FILE_NOUSER', 'لا يمكنك ارسال الملف- للمشرفين  فقط');
if (!defined('_SUBMIT_FILE_NOLIMIT')) DEFINE('_SUBMIT_FILE_NOLIMIT', 'لا يمكنك ارسال الملف - -  وصلت الحد الاقص');
if (!defined('_SUBMIT_FILE_NOSPACE')) DEFINE('_SUBMIT_FILE_NOSPACE', 'لا يمكن ارسال الملف - لا توجد مساحه فارغه للتخزين');
if (!defined('_SUBMIT_NO_DDIR')) DEFINE('_SUBMIT_NO_DDIR', 'لا يمكنك ارسال الملف - المجلد غير موجود');
if (!defined('_SUBMIT_NO_UDDIR')) DEFINE('_SUBMIT_NO_UDDIR', 'لا يمكنك ارسال الملف - المجلد غير موجود');
if (!defined('_SUBMIT_HEADING')) DEFINE('_SUBMIT_HEADING', 'ارسل ملف لمركز التحميل');
if (!defined('_SUBMIT_INSTRUCT1')) DEFINE('_SUBMIT_INSTRUCT1', 'اختر الملف من جهازك لاضافته');
if (!defined('_SUBMIT_INSTRUCT2')) DEFINE('_SUBMIT_INSTRUCT2', 'او اكتب مسار الملف على الانترنت');
if (!defined('_SUBMIT_INSTRUCT3')) DEFINE('_SUBMIT_INSTRUCT3', 'رجاء اختر ملف لارساله واكمل ادخال البيانات');
if (!defined('_DOWN_FILE_SUBMIT_NOCHOICES')) DEFINE('_DOWN_FILE_SUBMIT_NOCHOICES','لا يمكن ارسال اي ملف الرجاء الاتصال بمدير الموقع');
if (!defined('_SUBMIT_NEW_FILE')) DEFINE('_SUBMIT_NEW_FILE', 'ملف جديد');
if (!defined('_SUBMIT_UPLOAD_BUTTON')) DEFINE('_SUBMIT_UPLOAD_BUTTON', 'حمل ملف -خزن');
if (!defined('_MAIN_DOWNLOADS')) DEFINE('_MAIN_DOWNLOADS','الصفحه الاولى لمركز التحميل');
if (!defined('_DOWN_NO_PARENT')) DEFINE('_DOWN_NO_PARENT','لا توجد مجلدات فوق  هذه');
if (!defined('_DOWN_FOLDERS_FILES')) DEFINE('_DOWN_FOLDERS_FILES','مجلدات/ملفات');
if (!defined('_DOWN_NO_VISITOR_CATS')) DEFINE('_DOWN_NO_VISITOR_CATS','الدخول مسموح به للاعضاء فقط');
//DEFINE('_DOWN_ADMIN_FUNC','أعدادت المدير:');
if (!defined('_DOWN_UP_NEITHER')) DEFINE('_DOWN_UP_NEITHER','ايضا');
if (!defined('_DOWN_UP_DOWNLOAD_ONLY')) DEFINE('_DOWN_UP_DOWNLOAD_ONLY','تحميل فقط');
if (!defined('_DOWN_UP_UPLOAD_ONLY')) DEFINE('_DOWN_UP_UPLOAD_ONLY','رفع الملفات فقط');
if (!defined('_DOWN_UP_BOTH')) DEFINE('_DOWN_UP_BOTH','كلاهما');
if (!defined('_DOWN_USERS_PERMITTED')) DEFINE('_DOWN_USERS_PERMITTED','يسمح للاعضاء ب:');
if (!defined('_DOWN_VISITORS_PERMITTED')) DEFINE('_DOWN_VISITORS_PERMITTED','يسمح للزوار ب:');
if (!defined('_DOWN_UP_ABSOLUTE_PATH')) DEFINE('_DOWN_UP_ABSOLUTE_PATH','المسار المطلق - اختياري:');
if (!defined('_DOWN_SUBMIT_ANOTHER')) DEFINE('_DOWN_SUBMIT_ANOTHER','أرسل ملف اخر ؟');
if (!defined('_DOWN_SUBMIT_INSPECT')) DEFINE('_DOWN_SUBMIT_INSPECT','اظهر الملف الذي ارسلته قبل قليل');
if (!defined('_DOWNLOADS_TITLE')) DEFINE("_DOWNLOADS_TITLE","$mosConfig_sitename :: مركز التحميل");
if (!defined('_UP_FILE')) DEFINE('_UP_FILE','رفع ملف');
if (!defined('_ADD_FILE_BUTTON')) DEFINE('_ADD_FILE_BUTTON','أضافة ملف');
if (!defined('_SUBMIT_FILE_BUTTON')) DEFINE('_SUBMIT_FILE_BUTTON','تقديم ملف');
//DEFINE('_MAIN_DOWNLOADS','صفحة التحميل الرئيسية');
if (!defined('_BACK_CAT')) DEFINE('_BACK_CAT','عودة للقسم الرئيسي');
if (!defined('_BACK_FOLDER')) DEFINE('_BACK_FOLDER','عودة للمجلد المتفرع منه');
if (!defined('_DOWN_START')) DEFINE('_DOWN_START','تحميل الملف سيبدأ بعد ثانيتين تلقائياً');
if (!defined('_DOWN_CLICK')) DEFINE('_DOWN_CLICK','اضغط هنا إن لم يبدأ التحميل تلقائياً');
if (!defined('_INVALID_ID')) DEFINE('_INVALID_ID','خطأ ID');
if (!defined('_DOWN_CATEGORY')) DEFINE('_DOWN_CATEGORY','القسم');
if (!defined('_DOWN_FOLDER')) DEFINE('_DOWN_FOLDER','مجلد');
//DEFINE('_DOWN_FOLDERS','مجلدات');
if (!defined('_DOWN_FILES')) DEFINE('_DOWN_FILES','ملفات');
if (!defined('_DOWN_NO_CATS')) DEFINE("_DOWN_NO_CATS","مركز التحميل لم يفعل </i>.<BR>&nbsp;<BR>لا يوجد أقسام حتى الآن.");
if (!defined('_DOWN_ADMIN_FUNC')) DEFINE('_DOWN_ADMIN_FUNC','خيارات الأدمين:');
if (!defined('_DOWN_ADD_CAT')) DEFINE('_DOWN_ADD_CAT','أضافة قسم');
if (!defined('_DOWN_DEL_CAT')) DEFINE('_DOWN_DEL_CAT','حذف قسم');
if (!defined('_DOWN_EDIT_CAT')) DEFINE('_DOWN_EDIT_CAT','تحرير قسم');
if (!defined('_DOWN_ADD_FOLDER')) DEFINE('_DOWN_ADD_FOLDER','إضافة مجلد');
if (!defined('_DOWN_DEL_FOLDER')) DEFINE('_DOWN_DEL_FOLDER','حذف مجلد');
if (!defined('_DOWN_EDIT_FOLDER')) DEFINE('_DOWN_EDIT_FOLDER','تحرير مجلد');
if (!defined('_DOWN_ADD_FILE')) DEFINE('_DOWN_ADD_FILE','إضافة ملف');
if (!defined('_DOWN_DEL_FILE')) DEFINE('_DOWN_DEL_FILE','حذف ملف');
if (!defined('_DOWN_EDIT_FILE')) DEFINE('_DOWN_EDIT_FILE','تحرير ملف');
//DEFINE('_DOWN_MOVE_FILE','نقل ملف');
if (!defined('_DOWN_PUB')) DEFINE('_DOWN_PUB','منشور:');
if (!defined('_DOWN_FILE_COMPANY')) DEFINE('_DOWN_FILE_COMPANY','شركة:');
if (!defined('_DOWN_FILE_COMPANY_URL')) DEFINE('_DOWN_FILE_COMPANY_URL','موقع الشركة:');
if (!defined('_DOWN_FILE_AUTHOR_URL')) DEFINE('_DOWN_FILE_AUTHOR_URL','موقع المؤلف:');
if (!defined('_DOWN_FILE_RELEASE_DATE')) DEFINE('_DOWN_FILE_RELEASE_DATE','معلومات الاصدار (YYYY-MM-DD):');
if (!defined('_DOWN_FILE_STATUS')) DEFINE('_DOWN_FILE_STATUS','الحالة:');
if (!defined('_DOWN_FILE_LANGUAGES')) DEFINE('_DOWN_FILE_LANGUAGES','اللغات:');
if (!defined('_DOWN_FILE_REQUIREMENTS')) DEFINE('_DOWN_FILE_REQUIREMENTS','متطلبات التشغيل:');
if (!defined('_DOWN_FILE_OPERATING_SYSTEM')) DEFINE('_DOWN_FILE_OPERATING_SYSTEM','نظام التشغيل:');
if (!defined('_DOWN_SCREEN')) DEFINE('_DOWN_SCREEN','صور:');
//DEFINE('_DOWN_SCREEN_CLICK','اضغط هنا للمشاهدة');


if (!defined('_YES')) DEFINE('_YES','نعم');
if (!defined('_NO')) DEFINE('_NO','لا');
if (!defined('_GLOBAL')) DEFINE('_GLOBAL','Global');
if (!defined('_DOWN_KEYWORDS')) DEFINE('_DOWN_KEYWORDS', 'Keywords:');
if (!defined('_DOWN_WINDOW_TITLE')) DEFINE('_DOWN_WINDOW_TITLE','Window Title:');
if (!defined('_DOWN_EDITOR_GROUP')) DEFINE('_DOWN_EDITOR_GROUP','Editor Group:');
if (!defined('_DOWN_AUTO_FOR_ADMIN')) DEFINE('_DOWN_AUTO_FOR_ADMIN','Auto-approve for Admin:');
if (!defined('_DOWN_AUTO_FOR_USERS')) DEFINE('_DOWN_AUTO_FOR_USERS','Auto-approve for Users:');
if (!defined('_DOWN_AUTO_USER_GROUP')) DEFINE('_DOWN_AUTO_USER_GROUP','Auto-approve user group:');
if (!defined('_DOWN_CONTAINER_CASCADE')) DEFINE('_DOWN_CONTAINER_CASCADE','Apply to all child folders:');
if (!defined('_DOWN_THANK_YOU')) DEFINE('_DOWN_THANK_YOU','Thank you for downloading ');
if (!defined('_DOWN_WAIT_OR_CLICK')) DEFINE('_DOWN_WAIT_OR_CLICK','If your download does not start automatically after a few seconds, please click on the Download link below');
if (!defined('_DOWN_UPDATE_THUMBNAILS')) DEFINE('_DOWN_UPDATE_THUMBNAILS','Update thumbnails');
if (!defined('_DOWN_DELETE_THUMBNAIL')) DEFINE('_DOWN_DELETE_THUMBNAIL','Delete thumbnail');
if (!defined('_DOWN_SUBMIT_NEW_THUMBNAIL')) DEFINE('_DOWN_SUBMIT_NEW_THUMBNAIL','Submit new thumbnail');
if (!defined('_DOWN_NOT_LOGGED_UPLOAD')) DEFINE('_DOWN_NOT_LOGGED_UPLOAD','Sorry, you are not permitted to upload.  Please sign in or register.');
if (!defined('_DOWN_NOT_LOGGED_COMMENT')) DEFINE('_DOWN_NOT_LOGGED_COMMENT','Sorry, you are not permitted to comment.  Please sign in or register.');
if (!defined('_DOWN_NOT_LOGGED_VOTE')) DEFINE('_DOWN_NOT_LOGGED_VOTE','Sorry, you are not permitted to vote.  Please sign in or register.');
if (!defined('_DOWN_COMMENT_NL')) DEFINE('_DOWN_COMMENT_NL','Please login or register to make your own comment');
if (!defined('_DOWN_DESC')) DEFINE('_DOWN_DESC','المعلومات:');
if (!defined('_DOWN_DOWNLOADS')) DEFINE('_DOWN_DOWNLOADS','التحميل:');
if (!defined('_DOWN_RATING')) DEFINE('_DOWN_RATING','التقييم:');
if (!defined('_DOWN_VOTES')) DEFINE('_DOWN_VOTES','إجمالي الأصوات:');
if (!defined('_DOWN_YOUR_VOTE')) DEFINE('_DOWN_YOUR_VOTE','تقيمك:');
if (!defined('_DOWN_RATE_BUTTON')) DEFINE('_DOWN_RATE_BUTTON','تقييم');
if (!defined('_DOWN_ALREADY_VOTE')) DEFINE('_DOWN_ALREADY_VOTE','لقد قمت بالتصويت مسبقاً ، شكراً لك.');
if (!defined('_DOWN_FILE_TITLE')) DEFINE('_DOWN_FILE_TITLE','عنوان الملف:');
if (!defined('_DOWN_FILE_TITLE_SORT')) DEFINE('_DOWN_FILE_TITLE_SORT','عنوان الملف');
if (!defined('_DOWN_REAL_NAME')) DEFINE('_DOWN_REAL_NAME','File physical name:');
if (!defined('_DOWNLOAD')) DEFINE('_DOWNLOAD','تحميل');
if (!defined('_DOWN_DOWNLOADS_SORT')) DEFINE('_DOWN_DOWNLOADS_SORT','التحميل');
if (!defined('_DOWN_SUB_BY')) DEFINE('_DOWN_SUB_BY','إضيف بواسطة:');
if (!defined('_DOWN_FILE_DATE')) DEFINE('_DOWN_FILE_DATE','تاريخ الإضافة:');
if (!defined('_DOWN_FILE_AUTHOR')) DEFINE('_DOWN_FILE_AUTHOR','الناشر:');
if (!defined('_DOWN_FILE_VER')) DEFINE('_DOWN_FILE_VER','الإصدار:');
if (!defined('_DOWN_FILE_SIZE')) DEFINE('_DOWN_FILE_SIZE','الحجم:');
if (!defined('_DOWN_FILE_TYPE')) DEFINE('_DOWN_FILE_TYPE','النوع:');
//DEFINE('_DOWN_SCREEN','صورة:');
if (!defined('_DOWN_SCREEN_CLICK')) DEFINE('_DOWN_SCREEN_CLICK','للعرض اضغط هنا');







if (!defined('_DOWN_AUTOAPP')) DEFINE('_DOWN_AUTOAPP','تم نشر ملفك تلقائيا في الموقع.');

if (!defined('_DOWN_NA')) DEFINE('_DOWN_NA','غير متوفر');
if (!defined('_DOWN_CAT_NAME')) DEFINE('_DOWN_CAT_NAME','اسم القسم:');
if (!defined('_DOWN_SUB_BUTTON')) DEFINE('_DOWN_SUB_BUTTON','ذهاب');
if (!defined('_DOWN_ALL_DONE')) DEFINE('_DOWN_ALL_DONE','تمت العمليه بنجاح!');
if (!defined('_DOWN_NOT_AUTH')) DEFINE('_DOWN_NOT_AUTH','غير مسموح!');
if (!defined('_DOWN_FOLDER_NAME')) DEFINE('_DOWN_FOLDER_NAME','اسم المجلد:');
if (!defined('_DOWN_FOLDER_ADD_BUT')) DEFINE('_DOWN_FOLDER_ADD_BUT','إضافة مجلد');
if (!defined('_DOWN_UP_WAIT')) DEFINE('_DOWN_UP_WAIT','جميع الملفات المرفوعة ستراجع قبل النشر');
if (!defined('_DOWN_SUGGEST_LOC')) DEFINE('_DOWN_SUGGEST_LOC','أقترح موقع ادراج الملف:');
if (!defined('_DOWNLOAD_URL')) DEFINE('_DOWNLOAD_URL','رابط التحميل:');
if (!defined('_DOWN_ICON')) DEFINE('_DOWN_ICON','الأيقونة:');
if (!defined('_DOWN_MOVE_FILE')) DEFINE('_DOWN_MOVE_FILE','نقل هذا الملف:');
if (!defined('_DOWN_FILE_NEW_LOC')) DEFINE('_DOWN_FILE_NEW_LOC','موقع جديد للملف:');
if (!defined('_DOWN_AWAIT_APPROVE')) DEFINE('_DOWN_AWAIT_APPROVE','الملفات المنتظرة الموافقة للنشر:');
if (!defined('_DOWN_ADMIN_APPROVE')) DEFINE('_DOWN_ADMIN_APPROVE','انشر المشاركة');
if (!defined('_DOWN_ID')) DEFINE('_DOWN_ID','الرقم');
if (!defined('_DOWN_SUBMIT_DATE')) DEFINE('_DOWN_SUBMIT_DATE','تاريخ الإضافة:');
if (!defined('_DOWN_APP_SUB_BUTTON')) DEFINE('_DOWN_APP_SUB_BUTTON','أنشر المشاركة');
if (!defined('_DOWN_DEL_SUB_BUTTON')) DEFINE('_DOWN_DEL_SUB_BUTTON','حذف الإضافة');
if (!defined('_DOWN_SUB_APPROVE')) DEFINE('_DOWN_SUB_APPROVE','تم تفعيل الإضافة');
if (!defined('_DOWN_SUB_DEL')) DEFINE('_DOWN_SUB_DEL','تم حذف الإضافة');
if (!defined('_DOWN_NO_SUB')) DEFINE('_DOWN_NO_SUB','لا يوجد إضافات للتفعيل');
if (!defined('_DOWN_REV_SUB')) DEFINE('_DOWN_REV_SUB','مراجعة إضافات أكثر');
if (!defined('_DOWN_SEARCH')) DEFINE('_DOWN_SEARCH','صفحة البحث');
if (!defined('_DOWN_SEARCH_TEXT')) DEFINE('_DOWN_SEARCH_TEXT','بحث عن:');
if (!defined('_DOWN_SEARCH_FILETITLE')) DEFINE('_DOWN_SEARCH_FILETITLE','بحث في العناوين:');
if (!defined('_DOWN_SEARCH_FILEDESC')) DEFINE('_DOWN_SEARCH_FILEDESC','بحث في الوصف:');
if (!defined('_DOWN_SEARCH_ERR')) DEFINE('_DOWN_SEARCH_ERR','يرجى تحديد البحث بالعنوان أو الوصف لتتمكن من البحث.');





if (!defined('_DOWN_FIRST_COMMENT')) DEFINE('_DOWN_FIRST_COMMENT','كن اول من يترك تعليقا على الملف!');
if (!defined('_DOWN_FIRST_COMMENT_NL')) DEFINE('_DOWN_FIRST_COMMENT_NL','كن اول من يترك تعليقا!  الرجاء الدخول او التسجيل.');


if (!defined('_DOWN_MAIL_MSG_APP')) DEFINE('_DOWN_MAIL_MSG_APP','تم ارسال ملف جديد بواسطة $user_full'
                   .' لموقع $mosConfig_sitename .\n'
                   .'حسب الاعدادت تم نشره تلقائيا.\n\n'
                   .'الرجاء عدم الرد على هذه الرسالة التلقائيه\n');



if (!defined('_DOWN_SEARCH_NORES')) DEFINE('_DOWN_SEARCH_NORES','لا يوجد نتيجة.');
if (!defined('_DOWN_FILE_HOMEPAGE')) DEFINE('_DOWN_FILE_HOMEPAGE','الصفحة الرئيسية للملف:');
if (!defined('_DOWN_UPDATE_SUB')) DEFINE('_DOWN_UPDATE_SUB','تحديث الإضافة');
if (!defined('_DOWN_UP_EDIT_ID')) DEFINE('_DOWN_UP_EDIT_ID','رقم الملف:');
if (!defined('_DOWN_FILE_DEL_NOTE')) DEFINE('_DOWN_FILE_DEL_NOTE','تم حذف الملف من قاعدة البيانات لكن من الممكن انه ما زال موجودا في القرص الصلب');
if (!defined('_DOWN_SUB_DATE')) DEFINE('_DOWN_SUB_DATE','تاريخ الإضافة:');
if (!defined('_DOWN_SUB_DATE_SORT')) DEFINE('_DOWN_SUB_DATE_SORT','التاريخ');
if (!defined('_DOWN_COMMENTS')) DEFINE('_DOWN_COMMENTS','التعليقات:');
if (!defined('_DOWN_YOUR_COMM')) DEFINE('_DOWN_YOUR_COMM','تعليقك:');
if (!defined('_DOWN_LEAVE_COMM')) DEFINE('_DOWN_LEAVE_COMM','أترك تعليقا');
if (!defined('_DOWN_ALREADY_COMM')) DEFINE('_DOWN_ALREADY_COMM','انت  قمت بألتعليق في الماضي على الملف.');
if (!defined('_DOWN_MAX_COMM')) DEFINE("_DOWN_MAX_COMM","Max: $Small_Text_Len Chars");
if (!defined('_DOWN_DESC_MAX')) DEFINE("_DOWN_DESC_MAX","Max: $Large_Text_Len Chars");
if (!defined('_DOWN_MAIL_SUB')) DEFINE('_DOWN_MAIL_SUB','اقترح ملف جديد');
if (!defined('_DOWN_MAIL_MSG')) DEFINE('_DOWN_MAIL_MSG','مرحباً ،، تم إضافة ملف جديد قدم من قبل $user_full'
                   .' لــ $mosConfig_sitename website.\n'
                   .'يرجى الذهاب إلى $mosConfig_live_site/administrator/index.php والدخول كمدير لمشاهدة التفاصيل والتفعيل\n\n'
                   .'الرجاء عدم الرد على هذه الرسالة فهي تصلك بشكل آلي من أجل المعلومات فقط\n');

if (!defined('_DOWN_ORDER_BY')) DEFINE('_DOWN_ORDER_BY','الترتيب حسب:');
if (!defined('_DOWN_RESET')) DEFINE('_DOWN_RESET','مراجعة إحصائيات الملف');
if (!defined('_DOWN_RESET_GO')) DEFINE('_DOWN_RESET_GO','مراجعة إحصائيات الملف...');
if (!defined('_DOWN_RESET_DONE')) DEFINE('_DOWN_RESET_DONE','تمت مراجعة إحصائيات الملف');
if (!defined('_DOWN_FIND_ORPHANS')) DEFINE('_DOWN_FIND_ORPHANS','ابحث عن ملفات غير تابعه لاي قسم');
if (!defined('_DOWN_DEL_ORPHANS')) DEFINE('_DOWN_DEL_ORPHANS','أحذف الملفات الغير تابعه لاي قسم');
if (!defined('_DOWN_ORPHAN_SELECT')) DEFINE('_DOWN_ORPHAN_SELECT','تحديد');
if (!defined('_DOWN_ORPHAN_FILE_DEL')) DEFINE('_DOWN_ORPHAN_FILE_DEL','الملف للحذف');
if (!defined('_DOWN_ORPHAN_NODEL')) DEFINE('_DOWN_ORPHAN_NODEL','لايوجد ملف لحذفه');
if (!defined('_DOWN_ORPHAN_DONE')) DEFINE('_DOWN_ORPHAN_DONE',' تم حذف الملفات الغير تابعه لاي قسم');
if (!defined('_DOWN_BAD_POST')) DEFINE('_DOWN_BAD_POST','حدث خطأ اثناء ارسال المعلومات.');
if (!defined('_DOWN_SUB_WAIT')) DEFINE('_DOWN_SUB_WAIT','تم ارسال هذا الملف من قبل وهو بانتظار الموافقه عليه من قبل المشرفين.');
if (!defined('_DOWN_REG_ONLY')) DEFINE('_DOWN_REG_ONLY','للأعضاء المسجلين فقط:');
if (!defined('_DOWN_MEMBER_ONLY_WARN')) DEFINE('_DOWN_MEMBER_ONLY_WARN',"This location is for Group Members Only.<BR />"
                             ."Please refer to admin concerning group ");
if (!defined('_DOWN_REG_ONLY_WARN')) DEFINE("_DOWN_REG_ONLY_WARN","هذه الصفحة للأعضاء المسجلين فقط.<BR />"
                             ."الرجاء تسجيل الدخول أو<a href='index.php?option=com_registration&task=register'>التسجيل</a>.");

if (!defined('_DOWN_GROUP')) DEFINE('_DOWN_GROUP','مجموعة');
if (!defined('_DOWN_REG_USERS')) DEFINE('_DOWN_REG_USERS','الاعضاء');
if (!defined('_DOWN_VISITORS')) DEFINE('_DOWN_VISITORS','زوار');
if (!defined('_DOWN_ALL_REGISTERED')) DEFINE('_DOWN_ALL_REGISTERED','كل الاعضاء المسجلين');

if (!defined('_DOWN_NO_FILEN')) DEFINE('_DOWN_NO_FILEN','يرجى إدخال اسم الملف');
if (!defined('_DOWN_MINI_SCREEN_PROMPT')) DEFINE('_DOWN_MINI_SCREEN_PROMPT','أظهر صورة صغيرة للملف في قائمة الملفات:');
if (!defined('_DOWN_SEL_LOC_PROMPT')) DEFINE('_DOWN_SEL_LOC_PROMPT','تحديد القسم');
if (!defined('_DOWN_ALL_LOC_PROMPT')) DEFINE('_DOWN_ALL_LOC_PROMPT','جميع الأقسام');
if (!defined('_DOWN_SEL_CAT_DEL')) DEFINE('_DOWN_SEL_CAT_DEL','تحديد قسم لحذفه');
if (!defined('_DOWN_NO_CAT_DEF')) DEFINE('_DOWN_NO_CAT_DEF','لا توجد اقسام حاليا');
if (!defined('_DOWN_PUB_PROMPT')) DEFINE('_DOWN_PUB_PROMPT','تحدد قسم من أجل ');
if (!defined('_DOWN_SEL_FILE_DEL')) DEFINE('_DOWN_SEL_FILE_DEL','تحديد ملف لحذفه');
if (!defined('_DOWN_CONFIG_COMP')) DEFINE('_DOWN_CONFIG_COMP','تم تحديث المعلومات!');
if (!defined('_DOWN_CONFIG_ERR')) DEFINE("_DOWN_CONFIG_ERR","حدث خطأ!\nغير قادر على فتح الملف config للتحرير!");
if (!defined('_DOWN_CATS')) DEFINE('_DOWN_CATS','الأقسام');
if (!defined('_DOWN_FOLDERS')) DEFINE('_DOWN_FOLDERS','المجلدات');
if (!defined('_DOWN_PARENT_CAT')) DEFINE('_DOWN_PARENT_CAT','القسم الرئيسي');
if (!defined('_DOWN_PARENT_FOLDER')) DEFINE('_DOWN_PARENT_FOLDER','المجلد الرئيسي');
if (!defined('_DOWN_PUB1')) DEFINE('_DOWN_PUB1','منشور');
if (!defined('_DOWN_RECORDS')) DEFINE('_DOWN_RECORDS','السجلات');
if (!defined('_DOWN_ACCESS')) DEFINE('_DOWN_ACCESS','صلاحيات الدخول');
if (!defined('_DOWN_REG_ONLY_TITLE')) DEFINE('_DOWN_REG_ONLY_TITLE','للمسجلين فقط');
if (!defined('_DOWN_PUBLIC_TITLE')) DEFINE('_DOWN_PUBLIC_TITLE','عام');
if (!defined('_DOWN_APPROVE_TITLE')) DEFINE('_DOWN_APPROVE_TITLE','ملفات للتفعيل ');
if (!defined('_DOWN_DATE')) DEFINE('_DOWN_DATE','التاريخ');
if (!defined('_DOWN_NAME_TITLE')) DEFINE('_DOWN_NAME_TITLE','الاسم');
if (!defined('_DOWN_CONFIG_TITLE')) DEFINE('_DOWN_CONFIG_TITLE','الإعدادات');
if (!defined('_DOWN_CONFIG_TITLE1')) DEFINE('_DOWN_CONFIG_TITLE1','عناوين وغيرها');
if (!defined('_DOWN_CONFIG_TITLE2')) DEFINE('_DOWN_CONFIG_TITLE2','التراخيص');
if (!defined('_DOWN_CONFIG_TITLE3')) DEFINE('_DOWN_CONFIG_TITLE3','Download text');
if (!defined('_DOWN_CONFIG_TITLE4')) DEFINE('_DOWN_CONFIG_TITLE4','Configure pages');
    

if (!defined('_DOWN_CONFIG1')) DEFINE("_DOWN_CONFIG1","TabClass:<BR><i>( الخاص بقالب الموقع (قيمتين معزولةعن بعضها بفاصلة CSS كود تصميم القوائم في ملف ال))</i>");
if (!defined('_DOWN_CONFIG2')) DEFINE("_DOWN_CONFIG2","TabHeader:<BR><i>(الخاص بقالب الموقع CSS كود تصميم رأس صفحة التحميل في ملف ال )</i>");
if (!defined('_DOWN_CONFIG3')) DEFINE("_DOWN_CONFIG3","Web_Down_Path:<BR><i>(مسار تخزين التحميل - ويب - لا تضع سلاش في الأخير)</i>");
if (!defined('_DOWN_CONFIG4')) DEFINE("_DOWN_CONFIG4","Down_Path:<BR><i>(مسار تخزين التحميل - ملف - لا تضع سلاش في الأخير)</i>");
if (!defined('_DOWN_CONFIG5')) DEFINE("_DOWN_CONFIG5","Up_Path:<BR><i>(مسار رفع الملفات - لا تضع سلاش في الأخير)</i>");
if (!defined('_DOWN_CONFIG6')) DEFINE("_DOWN_CONFIG6","MaxSize:<BR><i>(أعلى حجم للملفات المسموح برفعها (ك.ب.))</i>");
if (!defined('_DOWN_CONFIG7')) DEFINE("_DOWN_CONFIG7","Max_Up_Per_Day:<BR><i>(أعلى عدد ملفات مسموح للأعضاء برفعها في اليوم (الأدمين غير محدد له عدد معين))</i>");
if (!defined('_DOWN_CONFIG8')) DEFINE("_DOWN_CONFIG8","Max_Up_Dir_Space:<BR><i>(أعلى حجم للمجلدات المسموح برفعها)</i>");
if (!defined('_DOWN_CONFIG9')) DEFINE("_DOWN_CONFIG9","ExtsOk:<BR><i>(انواع الملفات المسموح بها(معزوله عن بعضها بفاصلة))</i>");
if (!defined('_DOWN_CONFIG10')) DEFINE("_DOWN_CONFIG10","Allowed_Desc_Tags:<BR><i>(السماح باستخدام أكواد HTML  (معزوله عن بعضها بفاصلة))</i>");
if (!defined('_DOWN_CONFIG11')) DEFINE("_DOWN_CONFIG11","Allow_Up_Overwrite:<BR><i>(السماح بالكتابة فوق الملفات الحالية للملفات الجديدة المرفوعة)</i>");
if (!defined('_DOWN_CONFIG12')) DEFINE("_DOWN_CONFIG12","Allow_User_Sub:<BR><i>(السماح للأعضاء بتقديم ملفات - ملفات تحتاج للتفعيل من قبل الإدارة)</i>");
if (!defined('_DOWN_CONFIG13')) DEFINE("_DOWN_CONFIG13","Allow_User_Edit:<BR><i>(السماح للأعضاء بتحرير ملفاتهم - التحرير يحتاج للتفعيل من قبل الإدارة)</i>");
if (!defined('_DOWN_CONFIG14')) DEFINE("_DOWN_CONFIG14","Allow_User_Up:<BR><i>(السماح للأعضاء برفع ملفات - الملفات تحتاج للتفعيل من قبل الإدارة)</i>");
if (!defined('_DOWN_CONFIG15')) DEFINE("_DOWN_CONFIG15","Allow_Comments:<BR><i>(السماح للأعضاء بالتعليقات على الملفات)</i>");
if (!defined('_DOWN_CONFIG16')) DEFINE("_DOWN_CONFIG16","Send_Sub_Mail:<BR><i>(إرسال بريد إلكتروني عندما يقدم أحد الأعضاء ملف)</i>");
if (!defined('_DOWN_CONFIG17')) DEFINE("_DOWN_CONFIG17","Sub_Mail_Alt_Addr:<BR><i>(عنوان بريد إلكتروني بديل لإرسال المعلومات عند الإضافة, ماعدا ذلك البريد المستخدم هو البريد الخاص بالمدير)</i>");
if (!defined('_DOWN_CONFIG18')) DEFINE("_DOWN_CONFIG18","Sub_Mail_Alt_Name:<BR><i>(ايميل ثاني للاعلام بالمشاركات الجديده)</i>");
if (!defined('_DOWN_CONFIG19')) DEFINE("_DOWN_CONFIG19","HeaderPic:<BR><i>(الصور المتصدره للصفحه الاولى لمركز التحميل)</i>");
if (!defined('_DOWN_CONFIG20')) DEFINE("_DOWN_CONFIG20","Anti-Leach:<BR><i>(اخفي مسارات الملفات  لمنع سرقة العناوين)</i>");
if (!defined('_DOWN_CONFIG21')) DEFINE("_DOWN_CONFIG21","Large_Text_Len:<BR><i>(الحد الاقص المسموح به لحقل الوصف والاتفاقيه(الرخصة))</i>");
if (!defined('_DOWN_CONFIG22')) DEFINE("_DOWN_CONFIG22","Small_Text_Len:<BR><i>(الحد الاقص المسموح به لحقول النصوص الصغيره)</i>");
if (!defined('_DOWN_CONFIG23')) DEFINE("_DOWN_CONFIG23","Small_Image_Width:<BR><i>(عرض الصوره المصغره)</i>");
if (!defined('_DOWN_CONFIG24')) DEFINE("_DOWN_CONFIG24","Small_Image_Height:<BR><i>(ارتفاع الصوره المصغره)</i>");


if (!defined('_DOWN_CONFIG25')) DEFINE("_DOWN_CONFIG25","السماح بالتصويت:<br/><i>(السماح بتقييم الملفات)</i>");
if (!defined('_DOWN_CONFIG26')) DEFINE("_DOWN_CONFIG26","Enable_Admin_Autoapp:<br/><i>(الملفات التي يرفعها مشرفي الموقع يتم نشرها تلقائيا)</i>");
if (!defined('_DOWN_CONFIG27')) DEFINE("_DOWN_CONFIG27","Enable_User_Autoapp:<br/><i>(الملفات التي يرفعها أعضاء الموقع يتم نشرها تلقائيا)</i>");
if (!defined('_DOWN_CONFIG28')) DEFINE("_DOWN_CONFIG28","Enable_List_Downloads:<br/><i>(السماح بتحميل ملفات معينه من مجلد او قسم)</i>");
if (!defined('_DOWN_CONFIG29')) DEFINE("_DOWN_CONFIG29","اسمح للاعضاء بارسال عناوين ملفات على الانترنت:<br/><i>(ملفات موجوده في مواقع اخرى)</i>");
if (!defined('_DOWN_CONFIG30')) DEFINE("_DOWN_CONFIG30","Favourites_Max:<br/><i>(اسمح للاعضاء باضافه عدد محدد من الملفات الى المفضلة)</i>");
if (!defined('_DOWN_CONFIG31')) DEFINE("_DOWN_CONFIG31","Date_Format:<br/><i>صيغة طباعة التاريخ</i>");
if (!defined('_DOWN_CONFIG32')) DEFINE("_DOWN_CONFIG32","Default_Version:<br/><i>(القيمة التلقائية لاصدارات الملفات)</i>");
if (!defined('_DOWN_CONFIG33')) DEFINE('_DOWN_CONFIG33','See_Containers_no_download:<br/><i>(السماح للاعضاء بمشاهدة المجلدات والاقسام التي يحظر عليهم دخولها)</i>');
if (!defined('_DOWN_CONFIG34')) DEFINE('_DOWN_CONFIG34','See_Files_no_download:<br/><i>(السماح للاعضاء بمشاهدة الملفات التي يحظر عليهم تحميلها)</i>');
if (!defined('_DOWN_CONFIG35')) DEFINE('_DOWN_CONFIG35','Max_Thumbnails:<br/><i>(Maximum thumbnail images to be stored; 0 for URL only)</i>');
if (!defined('_DOWN_CONFIG36')) DEFINE("_DOWN_CONFIG36","Large_Image_Width:<br/><i>(Large Screenshot Width)</i>");
if (!defined('_DOWN_CONFIG37')) DEFINE("_DOWN_CONFIG37","Large_Image_Height:<br/><i>(Large Screenshot Height)</i>");
if (!defined('_DOWN_CONFIG38')) DEFINE("_DOWN_CONFIG38","Allow Large Image Display:<br/><i>(Large Screenshot popup window)</i>");
if (!defined('_DOWN_CONFIG39')) DEFINE("_DOWN_CONFIG39","Store files in database, by default");


if (!defined('_DOWN_STATS_TITLE')) DEFINE('_DOWN_STATS_TITLE','الوضع');
if (!defined('_DOWN_TOP_TITLE')) DEFINE('_DOWN_TOP_TITLE','أعلى');
if (!defined('_DOWN_RATED_TITLE')) DEFINE('_DOWN_RATED_TITLE','تقييم');
if (!defined('_DOWN_VOTED_ON')) DEFINE('_DOWN_VOTED_ON','تصويت على');
if (!defined('_DOWN_VOTES_TITLE')) DEFINE('_DOWN_VOTES_TITLE','التصويت');
if (!defined('_DOWN_RATING_TITLE')) DEFINE('_DOWN_RATING_TITLE','التقييم');
if (!defined('_DOWN_ABOUT')) DEFINE('_DOWN_ABOUT','معلومات عنه');
if (!defined('_DOWN_TITLE_ABOUT')) DEFINE('_DOWN_TITLE_ABOUT','العنوان');
if (!defined('_DOWN_VERSION_ABOUT')) DEFINE('_DOWN_VERSION_ABOUT','الإصدار');
if (!defined('_DOWN_AUTHOR_ABOUT')) DEFINE('_DOWN_AUTHOR_ABOUT','الناشر');
if (!defined('_DOWN_WEBSITE_ABOUT')) DEFINE('_DOWN_WEBSITE_ABOUT','الموقع');
if (!defined('_DOWN_EMAIL_ABOUT')) DEFINE('_DOWN_EMAIL_ABOUT','البريد الإلكتروني');
if (!defined('_DOWN_SEL_FILE_APPROVE')) DEFINE('_DOWN_SEL_FILE_APPROVE','تحديد ملف للموافقه على نشره');
if (!defined('_DOWN_DESC_SMALL')) DEFINE('_DOWN_DESC_SMALL','وصف مختصر:');
if (!defined('_DOWN_DESC_SMALL_MAX')) DEFINE('_DOWN_DESC_SMALL_MAX','الحد الاقص 150 حرف');
if (!defined('_DOWN_AUTO_SHORT')) DEFINE('_DOWN_AUTO_SHORT','وصف قصير (تلقائي:');
if (!defined('_DOWN_LICENSE')) DEFINE('_DOWN_LICENSE','الرخصة:');
if (!defined('_DOWN_LICENSE_AGREE')) DEFINE('_DOWN_LICENSE_AGREE','يجب قبول الرخصة:');
if (!defined('_DOWN_LEECH_WARN')) DEFINE('_DOWN_LEECH_WARN','لا يمنك تحميل الملف بسب تحويلك من موقع اخر.');
if (!defined('_DOWN_LICENSE_WARN')) DEFINE('_DOWN_LICENSE_WARN','يرجى قراءة وقبول الرخصة للتحميل.');
if (!defined('_DOWN_LICENSE_CHECKBOX')) DEFINE('_DOWN_LICENSE_CHECKBOX','أوافق على الشروط أعلاه.');
if (!defined('_DOWN_DATE_FORMAT')) DEFINE("_DOWN_DATE_FORMAT","%d %B %Y"); //Uses PHP's strftime Command Format
if (!defined('_DOWN_FILE_NOTFOUND')) DEFINE('_DOWN_FILE_NOTFOUND','لم يتم إيجاد الملف');

if (!defined('_DOWN_ACCESS_GROUP')) DEFINE('_DOWN_ACCESS_GROUP','المجموعة المتاح لها:');
if (!defined('_DOWN_THUMB_WRONG_TYPE')) DEFINE('_DOWN_THUMB_WRONG_TYPE','<h3>Thumbnail images must be png, jpg or jpeg</h3>');
if (!defined('_DOWN_EXTENSION_IN_TITLE')) DEFINE('_DOWN_EXTENSION_IN_TITLE','Extension in title');
if (!defined('_DOWN_DOWNLOAD_TEXT_BOX')) DEFINE('_DOWN_DOWNLOAD_TEXT_BOX','Download Text Box');
if (!defined('_DOWN_PRUNE_LOG')) DEFINE('_DOWN_PRUNE_LOG','Prune the log file');
if (!defined('_DOWN_LOGFILE_CUTOFF_DATE')) DEFINE('_DOWN_LOGFILE_CUTOFF_DATE','Please enter the date before which all log file entries are to be deleted:');
if (!defined('_DOWN_PRESS_SAVE_ACTIVATE')) DEFINE('_DOWN_PRESS_SAVE_ACTIVATE','then press "Save" to activate.');
if (!defined('_DOWN_METHOD_NOT_PRESENT')) DEFINE('_DOWN_METHOD_NOT_PRESENT','Component %s error: attempt to use non-existent method %s in %s');
if (!defined('_DOWN_CLASS_NOT_PRESENT')) DEFINE('_DOWN_CLASS_NOT_PRESENT','Component %s error: attempt to use non-existent class %s');
if (!defined('_DOWN_NO_UPLOAD_TO_FILES')) DEFINE('_DOWN_NO_UPLOAD_TO_FILES','Cannot bulk upload to a container with a filepath');
if (!defined('_DOWN_COUNTS_RECALCULATED')) DEFINE('_DOWN_COUNTS_RECALCULATED','File and folder counts recalculated');
if (!defined('_DOWN_COUNTS_RESET')) DEFINE('_DOWN_COUNTS_RESET','File download counts reset');
if (!defined('_DOWN_OLD_LOG_REMOVED')) DEFINE('_DOWN_OLD_LOG_REMOVED','Log file entries earlier than %s removed.');
if (!defined('_DOWN_NONE_MISSING')) DEFINE('_DOWN_NONE_MISSING','No missing files');
if (!defined('_DOWN_NO_RELEVANT_THUMB')) DEFINE('_DOWN_NO_RELEVANT_THUMB',' - no relevant files - removal attempted.<br/>');
if (!defined('_DOWN_THUMB_NOT_BELONG')) DEFINE('_DOWN_THUMB_NOT_BELONG','%s in directory %s file does not belong - removal attempted.<br/>');
if (!defined('_DOWN_THUMB_NOT_IN_DB')) DEFINE('_DOWN_THUMB_NOT_IN_DB',' - no match in database - removal attempted.<br/>');
if (!defined('_DOWN_THUMB_OK')) DEFINE('_DOWN_THUMB_OK','No problems found with thumbnail files');
if (!defined('_DOWN_STRUCTURE_ADDED')) DEFINE('_DOWN_STRUCTURE_ADDED','Structure added to repository');
if (!defined('_DOWN_DB_CONVERT_OK')) DEFINE('_DOWN_DB_CONVERT_OK','Database conversion completed.  Any files listed above were invalid.');
if (!defined('_DOWN_ADD_NUMBER_FILES')) DEFINE('_DOWN_ADD_NUMBER_FILES','Add a number of files');
if (!defined('_DOWN_DISPLAY_NUMBER')) DEFINE('_DOWN_DISPLAY_NUMBER','Display #');
if (!defined('_DOWN_SEARCH_COLON')) DEFINE('_DOWN_SEARCH_COLON','Search:');
if (!defined('_DOWN_SHOW_DESCENDANTS')) DEFINE('_DOWN_SHOW_DESCENDANTS','Show descendants: ');
if (!defined('_DOWN_CLICK_TO_VISIT')) DEFINE('_DOWN_CLICK_TO_VISIT','Click to visit site');
if (!defined('_DOWN_CONTAINERS')) DEFINE('_DOWN_CONTAINERS','Containers');
if (!defined('_DOWN_UP_PLAIN_TEXT')) DEFINE('_DOWN_UP_PLAIN_TEXT','Store file as plain text?');
if (!defined('_GLOBAL')) DEFINE('_GLOBAL','Global');
if (!defined('_DOWN_BLOB_NOCHUNKS')) DEFINE('_DOWN_BLOB_NOCHUNKS',' - BLOB TABLE HAS 0 CHUNKS');
if (!defined('_DOWN_CHUNKS_DISCREPANCY')) DEFINE('_DOWN_CHUNKS_DISCREPANCY',' - BLOB TABLE HAS %s CHUNKS, FILE SAYS %s');
if (!defined('_DOWN_PLAINTEXT_DISCREPANCY')) DEFINE('_DOWN_PLAINTEXT_DISCREPANCY',' - PLAIN TEXT TABLE HAS %s ENTRIES, SHOULD BE EXACTLY 1');
if (!defined('_DOWN_NOT_FOUND_HERE')) DEFINE('_DOWN_NOT_FOUND_HERE',' - NOT FOUND AT THIS LOCATION<br/>');
if (!defined('_DOWN_LOCAL_NO_URL')) DEFINE('_DOWN_LOCAL_NO_URL','FILE NOT LOCAL, BUT NO URL SPECIFIED');
if (!defined('_DOWN_NOT_VALID_BR')) DEFINE('_DOWN_NOT_VALID_BR',' - NOT VALIDATED<br/>');
if (!defined('_DOWN_NONE_MISSING')) DEFINE('_DOWN_NONE_MISSING','No missing files');
if (!defined('_DOWN_INHERIT')) DEFINE('_DOWN_INHERIT','inherit');
if (!defined('_DOWN_FORCE_INHERIT')) DEFINE('_DOWN_FORCE_INHERIT','Force children to inherit starred');
if (!defined('_DOWN_EXT_IN_TITLE')) DEFINE('_DOWN_EXT_IN_TITLE','Extension in title');
if (!defined('_DOWN_BULK_ADD_FILES')) DEFINE('_DOWN_BULK_ADD_FILES','bulk add files from download directory');
if (!defined('_DOWN_NO_AVAILABLE_FILES')) DEFINE('_DOWN_NO_AVAILABLE_FILES','No available files');
if (!defined('_DOWN_ABS_PATH_TO_FILES')) DEFINE('_DOWN_ABS_PATH_TO_FILES','Absolute path to files:');
if (!defined('_DOWN_ACCEPTABLE_EXTENSIONS')) DEFINE('_DOWN_ACCEPTABLE_EXTENSIONS','Acceptable extensions (comma separated):');
if (!defined('_DOWN_EXTENSION_IN_TITLE')) DEFINE('_DOWN_EXTENSION_IN_TITLE','Extension in title');

// /components/com_remository/com_remository_upload.php
if (!defined('_DOWNLOAD_UPLOAD_TITLE')) DEFINE('_DOWNLOAD_UPLOAD_TITLE','رفع ملف');
if (!defined('_HEAD')) DEFINE('_HEAD','رفع ملف');
if (!defined('_FILE')) DEFINE('_FILE','رفع الملف:');
if (!defined('_CLOSE')) DEFINE('_CLOSE','إغلاق');
if (!defined('_SENDFILE')) DEFINE('_SENDFILE','إرسال ملف');
if (!defined('_ERR1')) DEFINE('_ERR1','هذا الملف غير محدد.');
if (!defined('_ERR2')) DEFINE('_ERR2','محاولة هجوم على الموقع بواسطه رفع الملفات');
if (!defined('_ERR3')) DEFINE('_ERR3','الملف الذي تحاول رفعه حجمه صفر!');
if (!defined('_ERR4')) DEFINE('_ERR4','تنسيق الملف الذي تحاول رفعه غير مسموح به!');
if (!defined('_ERR5')) DEFINE('_ERR5','الملف الذي تحاول إرساله أكبر من الحجم المسموح برفعه');
if (!defined('_ERR6')) DEFINE('_ERR6','اسم الملف الذي تحاول إرساله موجود بالفعل يرجى إعادة اسم الملف.');
if (!defined('_ERR7')) DEFINE('_ERR7','المجلد الذي تحاول الإرسال إليه ممتلئ.');
if (!defined('_ERR8')) DEFINE('_ERR8','تحتاج للتسجيل لكي تستطيع إضافة ملفات.');
if (!defined('_ERR9')) DEFINE('_ERR9','الحد الأقصى المسموح لك باليوم رفعه اكتمل.');
if (!defined('_ERR10')) DEFINE('_ERR10','لايسمح للأعضاء برفع الملفات.');
if (!defined('_ERR11')) DEFINE('_ERR11','File upload failed with code ');
if (!defined('_UP_SUCCESS')) DEFINE('_UP_SUCCESS','تم رفع الملف!');
if (!defined('_UPLOAD_URL_LOCK')) DEFINE('_UPLOAD_URL_LOCK','-تم رفع الملف-');
if (!defined('_WARNING1')) DEFINE('_WARNING1','Path for files changed - WARNING files not moved');
if (!defined('_WARNING2')) DEFINE('_WARNING2','Specified file path does not exist - Create new');
if (!defined('_APPROVE')) DEFINE('_APPROVE','Approve');
if (!defined('_CANCEL')) DEFINE('_CANCEL','Cancel');
if (!defined('_DOWN_MISSING_TITLE')) DEFINE('_DOWN_MISSING_TITLE','Missing Files');
if (!defined('_DOWN_ADDSTRUCTURE_TITLE')) DEFINE('_DOWN_ADDSTRUCTURE_TITLE','add whole structure');

?>